/* Advantages */

.advantages {}

.advantages p {
  grid-area: title;
  margin-bottom: 0;
}

.advantages hr {
  grid-area: hr;
}

.advantages-list {
  grid-area: content;
  display: grid;
  row-gap: 1.5rem;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.advantages-list > li {
  display: grid;
  grid-template-areas: 
    "icon title"
    "icon sublist";
  justify-content: start;
  column-gap: 1rem;
  row-gap: 0.5rem;
}

.advantages-list figure {
  grid-area: icon;
}

.advantages-list h4 {
  grid-area: title;
  margin-bottom: 0;
}

.advantages-list ul {
  grid-area: sublist;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.advantages-list ul li {
  display: flex;
  align-items: baseline;
  column-gap: 1rem;
  line-height: 2;
}

.advantages-list ul  li::before {
  content: "";
  flex-shrink: 0;
  width: 0.5rem;
  height: 0.5rem;
  border: 2px solid var(--color-dark);
  border-radius: 50%;
}

.advantages-color {
  color: var(--color-white);
  background-color: var(--color-chathams-blue);
}

@media (min-width: 576px) {
  .advantages-list li {
    column-gap: 1.5rem;
  }
}

@media (min-width: 768px) {
  .advantages-list {
    grid-template-columns: 1fr 1fr;
  }

  .advantages-list li {
    column-gap: 2rem;
    row-gap: 1rem;
  }
}

@media (min-width: 1024px) {
  .advantages > ul {
    grid-template-columns: 1fr 1fr;
    row-gap: 4rem;
    column-gap: 1rem;
  }
}

@media (min-width: 1280px) {
  .advantages > ul {
    width: 65rem;
  }
  
  .advantages-stats {
    grid-template-columns: 1fr 1fr;
    column-gap: 2rem;
  }
}

@media (min-width: 1600px) {
  .advantages > ul {
    width: 75rem;
  }
}

/* E-Commerce */

.stats-link {
  color: var(--color-chathams-blue);
  text-decoration: none;
}

.stats-link:hover {
  text-decoration: underline;
}

.ecommerce-stats figure {
  margin: 0;
}

@media (max-width: 767px) {
  .ecommerce-stats {
    display: none;
  }
}

@media (max-width: 767px) {
  .onlineMarketing-stats {
    display: none;
  }
}

/* Facts */
.facts {
  grid-template-areas:
    "title"
    "hr"
    "content"
    "source";
  padding-top: 9rem;
}

.facts h2 {
  grid-area: title;
  margin-bottom: 0;
  max-width: 46rem;
}

.facts hr {
  grid-area: hr;
}

.facts ol {
  grid-area: content;
}

.facts h3 {
  margin-bottom: 0.813rem;
}

.facts p {
  margin-bottom: 0;
}

.facts-source {
  grid-area: source;
}

.facts-source a {
  color: var(--color-chathams-blue);
  text-decoration: none;
}

.facts-source:hover a {
  text-decoration: underline;
}

/* Diffs */

.diffs {
  grid-template-areas: 
    "title"
    "hr"
    "text"
    "list";
}

.diffs b {
  grid-area: title;
}

.diffs hr {
  grid-area: hr;
}

.diffs ol {
  grid-area: list;
  margin-bottom: 2rem;
}

.diffs-text {
  grid-area: text;
}

.diffs ol p {
  margin-bottom: 0;
}

.diffs-link {
  color: var(--color-white);
  text-decoration-color:  var(--color-atomic-tangerine);
  text-underline-offset: 2px;
  text-decoration-thickness: 4px;
  transition: all 0.2s ease-in-out;
}

.diffs-link:hover,
.diffs-link:focus {
  text-decoration-color:  var(--color-flamingo);
}

@media (min-width: 1024px) {
  .diffs {
    grid-template-areas: 
      "title title"
      "text text"
      "hr list";
    grid-template-columns: min-content 1fr;
    column-gap: 5.375rem;
    row-gap: 0.7rem;
  }
}

/* Magento */

.magento {
  display: grid;
  grid-template-areas: 
    "title"
    "hr"
    "text"
    "list";
  row-gap: 1rem;
}

.magento p a {
  color: var(--color-flamingo);
}

.magento h2 {
  grid-area: title;
  margin-bottom: 0;
  font-weight: 700;
  max-width: 45.75rem;
}

.magento hr {
  grid-area: hr;
}

.magento p {
  grid-area: text;
  margin-bottom: 0;
  /* font-weight: 700; */
}

.magento ul {
  grid-area: list;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.magento li {
  display: flex;
  align-items: baseline;
  column-gap: 1rem;
  line-height: 2;
}

.magento li::before {
  content: "";
  flex-shrink: 0;
  width: 0.5rem;
  height: 0.5rem;
  border: 2px solid var(--color-dark);
  border-radius: 50%;
}

.magento li.no-dot {
  padding-top: 2rem;
}

.magento li.no-dot::before {
  display: none;
}

@media (min-width: 576px) {
  .magento h2 {
    margin-bottom: 0.9rem;
  }  
}

@media (min-width: 768px) {
  .magento-title {
    margin-bottom: 1.3rem;
  }  
}

@media (min-width: 1024px) {
  .magento {
    grid-template-areas: 
      "title title"
      "hr text"
      ". list";
    grid-template-columns: min-content 1fr;
    column-gap: 5.375rem;
    row-gap: 0.7rem;
  }

  .magento p {
    margin-bottom: 2rem;
  }  
}

@media (min-width: 1280px) {
  .magento {
    column-gap: 7.375rem;
  }

  .magento h2 {
    margin-bottom: 2.35rem;
  }  
}

@media (min-width: 1400px) {
  .magento {
    column-gap: 9.375rem;
  }

  .magento h2 {
    margin-bottom: 2.863rem;
  }  
}

/* Services */

.services a {
  color: var(--color-chathams-blue);
  text-decoration: none;
}

.services a:hover {
  text-decoration: underline;
}

.services > ul {
  grid-area: list;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.services > ul p {
  margin-bottom: 1rem;
}

.services ul ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.services ul ul li {
  display: flex;
  align-items: baseline;
  column-gap: 1rem;
  line-height: 2;
}

.services ul ul li::before {
  content: "";
  flex-shrink: 0;
  width: 0.5rem;
  height: 0.5rem;
  border: 2px solid var(--color-dark);
  border-radius: 50%;
  }

  /* Contacts */
  
  .contacts-color {
    color: var(--color-white);
    background-color: var(--color-chathams-blue);
  }